<script setup lang="ts">
import { userItemStore } from '@/stores/ItemList'
const itemStore = userItemStore()
</script>
<template>
  <v-container>
    <v-row no-gutters>
      <v-col cols="12">
        <v-combobox
          label="Payment format"
          :items="['Cash', 'QR']"
          v-model="itemStore.receipt.paymentType"
          variant="solo-filled"
        ></v-combobox
      ></v-col>
    </v-row>
    <v-row no-gutters>
      <v-col cols="6" md="6" xs="3" style="color: aliceblue; font-size: large">วิธีชำระ</v-col>
      <v-col cols="6" md="6" xs="3" style="color: aliceblue; font-size: large">{{
        itemStore.receipt.paymentType
      }}</v-col>
      <v-col cols="6" md="6" xs="3" style="color: aliceblue; font-size: large">ยอดรวม</v-col>
      <v-col cols="6" md="6" xs="3" style="color: aliceblue; font-size: large">{{
        itemStore.receipt?.total
      }}</v-col>
      <v-col cols="6" md="6" xs="3" style="color: aliceblue; font-size: large">ส่วนลดสมาชิก</v-col>
      <v-col cols="6" md="6" xs="3" style="color: aliceblue; font-size: large"
        >{{ itemStore.receipt?.memberDiscount }}
      </v-col>
      <v-col cols="6" style="color: aliceblue; font-size: large">ยอดสุทธิ</v-col>
      <v-col cols="6" style="color: aliceblue; font-size: large"
        >{{ itemStore.receipt?.totalNet }}
      </v-col>
    </v-row>
  </v-container>
</template>
